Package org.flywaydb.core.api

## Enum CoreMigrationType

- java.lang.Object
- - java.lang.Enum<CoreMigrationType>
  - - org.flywaydb.core.api.CoreMigrationType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CoreMigrationType>`, `org.flywaydb.core.extensibility.MigrationType`

      public enum CoreMigrationType
      extends java.lang.Enum<CoreMigrationType>
      implements org.flywaydb.core.extensibility.MigrationType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASELINE` | Baseline migration.
    `CUSTOM` | Migrations using custom MigrationResolvers.
    `DELETE` | Deleted migration
    `JDBC` | JDBC Java-based migrations.
    `SCHEMA` | Schema creation migration.
    `SCRIPT` | Script migrations.
    `SCRIPT_BASELINE` | Deprecated. Will be removed and replaced with just SCRIPT Script baseline migrations.
    `SQL` | SQL migrations.
    `UNDO_SCRIPT` | Undo Script migrations.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.flywaydb.core.extensibility.MigrationType` | `fromString​(java.lang.String migrationType)` |
    `boolean` | `isBaseline()` |
    `boolean` | `isSynthetic()` |
    `boolean` | `isUndo()` |
    `static CoreMigrationType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CoreMigrationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.flywaydb.core.extensibility.MigrationType

      `name`

- - ### Enum Constant Detail

    - #### SCHEMA

          public static final CoreMigrationType SCHEMA

      Schema creation migration.

    - #### BASELINE

          public static final CoreMigrationType BASELINE

      Baseline migration.

    - #### DELETE

          public static final CoreMigrationType DELETE

      Deleted migration

    - #### SQL

          public static final CoreMigrationType SQL

      SQL migrations.

    - #### JDBC

          public static final CoreMigrationType JDBC

      JDBC Java-based migrations.

    - #### SCRIPT

          public static final CoreMigrationType SCRIPT

      Script migrations.

    - #### SCRIPT_BASELINE

          @Deprecated
          public static final CoreMigrationType SCRIPT_BASELINE

      Deprecated.
      Will be removed and replaced with just SCRIPT Script baseline migrations.

    - #### UNDO_SCRIPT

          public static final CoreMigrationType UNDO_SCRIPT

      Undo Script migrations.

    - #### CUSTOM

          public static final CoreMigrationType CUSTOM

      Migrations using custom MigrationResolvers.

  - ### Method Detail

    - #### values

          public static CoreMigrationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreMigrationType c : CoreMigrationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreMigrationType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static org.flywaydb.core.extensibility.MigrationType fromString​(java.lang.String migrationType)

    - #### isSynthetic

          public boolean isSynthetic()

      Specified by:
        `isSynthetic` in interface `org.flywaydb.core.extensibility.MigrationType`
      Returns:
        Whether this is a synthetic migration type, which is only ever present in the schema history table, but never discovered by migration resolvers.

    - #### isUndo

          public boolean isUndo()

      Specified by:
        `isUndo` in interface `org.flywaydb.core.extensibility.MigrationType`
      Returns:
        Whether this is an undo migration, which has undone an earlier migration present in the schema history table.

    - #### isBaseline

          public boolean isBaseline()

      Specified by:
        `isBaseline` in interface `org.flywaydb.core.extensibility.MigrationType`
      Returns:
        Whether this is a baseline type